Loading...
Searching...
No Matches
gx_engine Namespace Reference

## Namespaces

namespace | gx_amps
namespace | gx_tonestacks
namespace | gx_effects
namespace | gx_poweramps

## Classes

class | Audiofile
class | GxConvolverBase
class | GxConvolver
class | GxSimpleConvolver
class | ModuleSelectorFromList
struct | PluginChange
class | GxEngine
class | MonoMute
class | StereoMute
class | MaxLevel
class | TunerAdapter
class | NoiseGate
class | OutPutGate
class | OscilloscopeInfo
class | ParameterV< OscilloscopeInfo >
class | OscilloscopeAdapter
class | GxSeqSettings
class | ParameterV< GxSeqSettings >
class | GxJConvSettings
class | ParameterV< GxJConvSettings >
class | ConvolverAdapter
class | ConvolverStereoAdapter
class | ConvolverMonoAdapter
class | BaseConvolver
class | FixedBaseConvolver
class | CabinetConvolver
class | CabinetStereoConvolver
class | PreampConvolver
class | PreampStereoConvolver
class | ContrastConvolver
class | LV2Features
struct | paradesc
class | plugdesc
class | LadspaLoader
class | Directout
class | LiveLooper
class | SCapture
class | Drumout
class | DrumSequencer
class | smbPitchShift
class | ModuleSelector
class | ProcessingChainBase
class | ThreadSafeChainPointer
struct | monochain_data
struct | stereochain_data
class | MonoModuleChain
class | StereoModuleChain
class | EngineControl
class | ModuleSequencer
class | Ramp
class | NeuralAmp
class | NeuralAmpMulti
class | RtNeural
class | RtNeuralMulti
class | ParameterGroups
class | ParameterV
class | Parameter
class | ParameterV< float >
class | FloatEnumParameter
class | ParameterV< int >
class | EnumParameter
class | ParameterV< bool >
class | FileParameter
class | ParameterV< Glib::ustring >
class | ParamMap
class | MidiStandardControllers
class | MidiController
class | MidiClockToBpm
class | ControllerArray
class | MidiControllerList
class | PitchTracker
class | Plugin
class | UiBuilderBase
class | ParamRegImpl
class | PluginListBase
class | PluginList
class | bank_iterator
class | GxMachineBase
class | GxMachine
class | GxMachineRemote

## Typedefs

typedef ParameterV< OscilloscopeInfo > | OscParameter
typedef ParameterV< GxSeqSettings > | SeqParameter
typedef ParameterV< GxJConvSettings > | JConvParameter
typedef void(* | monochainorder) (int count, float *output, float *output1, PluginDef *plugin)
typedef void(* | stereochainorder) (int count, float *input, float *input1, float *output, float *output1, PluginDef *plugin)
typedef ParameterV< float > | FloatParameter
typedef ParameterV< int > | IntParameter
typedef ParameterV< bool > | BoolParameter
typedef ParameterV< Glib::ustring > | StringParameter
typedef list< Parameter * > | paramlist
typedef list< MidiController > | midi_controller_list
typedef PluginDef *(* | plugindef_creator) ()
typedef map< string, set< void * > > | output_listen_map

## Enumerations

enum | widget_type { tp_scale , tp_scale_log , tp_toggle , tp_enum , tp_display , tp_display_toggle , tp_none , tp_int , tp_enabled , tp_atom }
enum | quirkflag { need_activate = 1 , no_cleanup = 2 , is_lv2 = 4 }
enum | GxEngineState { kEngineOff = 0 , kEngineOn = 1 , kEngineBypass = 2 }
enum | { PGNI_DYN_POSITION = 0x10000 , PGNI_NOT_OWN = 0x20000 , PGNI_UI_REG = 0x40000 , PGNI_IS_LV2 = 0x80000 , PGNI_IS_LADSPA = 0x100000 }
enum | PluginPos { PLUGIN_POS_START , PLUGIN_POS_RACK , PLUGIN_POS_END }

## Functions

bool | read_audio (const std::string &filename, unsigned int *audio_size, int *audio_chan, int *audio_type, int *audio_form, int *audio_rate, float **buffer)
ParameterGroups & | get_group_table ()
string | param_group (const string &group_id, bool nowarn=false)
void | compare_parameter (const char *title, Parameter *p1, Parameter *p2, bool all=false)
void | printlist (const char *title, const list< Plugin * > &modules, bool header=true)

## Variables

MidiStandardControllers | midi_std_ctr

## Typedef Documentation

## BoolParameter

typedef ParameterV<bool> gx_engine::BoolParameter

Definition at line 98 of file gx_parameter.h.

## FloatParameter

typedef ParameterV<float> gx_engine::FloatParameter

Definition at line 96 of file gx_parameter.h.

## IntParameter

typedef ParameterV<int> gx_engine::IntParameter

Definition at line 97 of file gx_parameter.h.

## JConvParameter

typedef ParameterV<GxJConvSettings> gx_engine::JConvParameter

Definition at line 351 of file gx_internal_plugins.h.

## midi_controller_list

typedef list<MidiController> gx_engine::midi_controller_list

Definition at line 731 of file gx_parameter.h.

## monochainorder

typedef void(* gx_engine::monochainorder) (int count, float *output, float *output1, PluginDef *plugin)

Definition at line 130 of file gx_modulesequencer.h.

## OscParameter

typedef ParameterV<OscilloscopeInfo> gx_engine::OscParameter

Definition at line 198 of file gx_internal_plugins.h.

## output_listen_map

typedef map<string, set<void*> > gx_engine::output_listen_map

Definition at line 57 of file machine.h.

## paramlist

typedef list<Parameter*> gx_engine::paramlist

Definition at line 233 of file gx_parameter.h.

## plugindef_creator

typedef PluginDef *(* gx_engine::plugindef_creator) ()

Definition at line 127 of file gx_pluginloader.h.

## SeqParameter

typedef ParameterV<GxSeqSettings> gx_engine::SeqParameter

Definition at line 273 of file gx_internal_plugins.h.

## stereochainorder

typedef void(* gx_engine::stereochainorder) (int count, float *input, float *input1, float *output, float *output1, PluginDef *plugin)

Definition at line 132 of file gx_modulesequencer.h.

## StringParameter

typedef ParameterV<Glib::ustring> gx_engine::StringParameter

Definition at line 99 of file gx_parameter.h.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
PGNI_DYN_POSITION |
PGNI_NOT_OWN |
PGNI_UI_REG |
PGNI_IS_LV2 |
PGNI_IS_LADSPA |

Definition at line 37 of file gx_pluginloader.h.

## GxEngineState

enum gx_engine::GxEngineState

Enumerator
kEngineOff |
kEngineOn |
kEngineBypass |

Definition at line 301 of file gx_modulesequencer.h.

## PluginPos

enum gx_engine::PluginPos

Enumerator
PLUGIN_POS_START |
PLUGIN_POS_RACK |
PLUGIN_POS_END |

Definition at line 121 of file gx_pluginloader.h.

## quirkflag

enum gx_engine::quirkflag

Enumerator
need_activate |
no_cleanup |
is_lv2 |

Definition at line 727 of file gx_internal_plugins.h.

## widget_type

enum gx_engine::widget_type

Enumerator
tp_scale |
tp_scale_log |
tp_toggle |
tp_enum |
tp_display |
tp_display_toggle |
tp_none |
tp_int |
tp_enabled |
tp_atom |

Definition at line 707 of file gx_internal_plugins.h.

## Function Documentation

## compare_parameter()

void gx_engine::compare_parameter | ( | const char * | title,
|  | Parameter * | p1,
|  | Parameter * | p2,
|  | bool | all = false )

## get_group_table()

ParameterGroups & gx_engine::get_group_table | ( |  | ) |

## param_group()

string gx_engine::param_group | ( | const string & | group_id,
|  | bool | nowarn = false )

Referenced by gx_engine::Parameter::Parameter().

## printlist()

void gx_engine::printlist | ( | const char * | title,
|  | const list< Plugin * > & | modules,
|  | bool | header = true )

Referenced by gx_engine::MonoModuleChain::print(), and gx_engine::StereoModuleChain::print().

## read_audio()

bool gx_engine::read_audio | ( | const std::string & | filename,
|  | unsigned int * | audio_size,
|  | int * | audio_chan,
|  | int * | audio_type,
|  | int * | audio_form,
|  | int * | audio_rate,
|  | float ** | buffer )

## Variable Documentation

## midi_std_ctr

MidiStandardControllers gx_engine::midi_std_ctr

extern